// -*- C++ -*-
//
// generated by wxGlade 0.7.1 on Sun Oct 16 19:23:31 2016
//
// Example for compiling a single file project under Linux using g++:
//  g++ MyApp.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp
//
// Example for compiling a multi file project under Linux using g++:
//  g++ main.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp Dialog1.cpp Frame1.cpp
//

#include <wx/wx.h>
#include "KeyboardCaptureDialog.h"

// begin wxGlade: ::extracode
// end wxGlade


KeyboardCaptureDialog::KeyboardCaptureDialog(wxWindow* parent, int id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxDialog(parent, id, title, pos, size, wxDEFAULT_DIALOG_STYLE)
{
    // begin wxGlade: KeyboardCaptureDialog::KeyboardCaptureDialog
    m_pCtrlButton = new wxToggleButton(this, wxID_ANY, _("Ctrl"));
    m_pAltButton = new wxToggleButton(this, wxID_ANY, _("Alt"));
    m_pShiftButton = new wxToggleButton(this, wxID_ANY, _("Shift"));
    m_pScancodeText = new wxTextCtrl(this, wxID_ANY, wxEmptyString, wxDefaultPosition, wxDefaultSize, wxTE_READONLY);
    m_pCancelButton = new wxButton(this, wxID_CANCEL, wxEmptyString);
    m_pOKButton = new wxButton(this, wxID_OK, wxEmptyString);

    set_properties();
    do_layout();
    // end wxGlade
}


void KeyboardCaptureDialog::set_properties()
{
    // begin wxGlade: KeyboardCaptureDialog::set_properties
    SetTitle(_("wxvnc - Send Keyboard Combination"));
    Hide();
    m_pOKButton->SetDefault();
    // end wxGlade
}


void KeyboardCaptureDialog::do_layout()
{
    // begin wxGlade: KeyboardCaptureDialog::do_layout
    wxBoxSizer* m_pKeyCapSizer = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* m_pButtonSizer = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* m_pKeyComSizer = new wxBoxSizer(wxHORIZONTAL);
    m_pKeyComSizer->Add(m_pCtrlButton, 0, wxALL, 5);
    m_pKeyComSizer->Add(m_pAltButton, 0, wxALL, 5);
    m_pKeyComSizer->Add(m_pShiftButton, 0, wxALL, 5);
    m_pKeyComSizer->Add(m_pScancodeText, 0, wxALL, 5);
    m_pKeyCapSizer->Add(m_pKeyComSizer, 1, wxALL|wxEXPAND, 5);
    m_pButtonSizer->Add(m_pCancelButton, 0, wxALIGN_RIGHT|wxALL, 5);
    m_pButtonSizer->Add(m_pOKButton, 0, wxALIGN_RIGHT|wxALL, 5);
    m_pKeyCapSizer->Add(m_pButtonSizer, 1, wxALIGN_RIGHT|wxALL, 5);
    SetSizer(m_pKeyCapSizer);
    m_pKeyCapSizer->Fit(this);
    Layout();
    // end wxGlade
}

